package com.engine.organization.entity.chart;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2023/9/11 4:59 PM
 * @Description: 人数统计
 * @Version 1.0
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StatisticsPO {

    private Integer id;

    private Integer dataId;

    private Integer superId;

    private Integer type;

    private Integer onJobNum;

    private Integer staffNum;

    private Integer creator;

    private String createTime;

    private String updateTime;


}
