package com.engine.organization.service;

import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/6/28
 * @Version V1.0
 **/
public interface ExportCommonService {

    /**
     * 人员导出
     * @param ids
     * @return
     */
    XSSFWorkbook resourceExport(List<Long> ids);


    /**
     * 花名册台账动态列Excel导出
     *
     * @param request  request
     * @param response response
     * @param ids      选择批量导出的人员ID
     * @return
     */
    XSSFWorkbook resourceExport(HttpServletRequest request, HttpServletResponse response, String ids);


    /**
     * @Description: 部门管理页面全部导出
     * @Author: liang.cheng
     * @Date: 2023/9/21 3:43 PM
     * @param: []
     * @return: org.apache.poi.xssf.usermodel.XSSFWorkbook
     */
    XSSFWorkbook departmentExport();
}
