package com.engine.organization.entity.chart;

import com.icbc.api.internal.apache.http.impl.cookie.S;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2023/9/11 4:59 PM
 * @Description: 人数统计
 * @Version 1.0
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StatisticsVO {

    private Integer key;

    private String dataIdName;

    private String superIdName;

    private Integer type;

    private Integer onJobNum;

    private Integer staffNum;

    private String creator;

    private String createTime;

    private String updateTime;


}
