package com.engine.organization.entity.chart.params;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author liang.cheng
 * @Date 2023/9/13 1:38 PM
 * @Description: TODO
 * @Version 1.0
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RecursionParam {

    private Integer id;

    /**
     * 子节点
     */
    private List<RecursionParam> subRecursionParam;

    private Integer employeeCount;

    private Integer staffCount;
}
